org.apache.poi.ss.formula.ptg

## Class ValueOperatorPtg

- java.lang.Object
- - org.apache.poi.ss.formula.ptg.Ptg
  - - org.apache.poi.ss.formula.ptg.OperationPtg
    - - org.apache.poi.ss.formula.ptg.ValueOperatorPtg

- All Implemented Interfaces:
    Duplicatable
  Direct Known Subclasses:
    AddPtg, ConcatPtg, DividePtg, EqualPtg, GreaterEqualPtg, GreaterThanPtg, LessEqualPtg, LessThanPtg, MultiplyPtg, NotEqualPtg, PercentPtg, PowerPtg, SubtractPtg, UnaryMinusPtg, UnaryPlusPtg

      public abstract class ValueOperatorPtg
      extends OperationPtg

  Common superclass of all value operators. Subclasses include all unary and binary operators except for the reference operators (IntersectionPtg, RangePtg, UnionPtg)

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.ss.formula.ptg.OperationPtg

      `TYPE_BINARY, TYPE_FUNCTION, TYPE_UNARY`

    - ### Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ValueOperatorPtg()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getDefaultOperandClass()`
    `protected abstract byte` | `getSid()`
    `int` | `getSize()`
    `boolean` | `isBaseToken()` All Operator `Ptg`s are base tokens (i.e.
    `java.lang.String` | `toFormulaString()` return a string representation of this token alone
    `void` | `write(LittleEndianOutput out)`

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.OperationPtg

      `getNumberOfOperands, toFormulaString`

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `copy, createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueOperatorPtg

          protected ValueOperatorPtg()

  - ### Method Detail

    - #### isBaseToken

          public final boolean isBaseToken()

      All Operator `Ptg`s are base tokens (i.e. are not RVA classified)
      Specified by:
        `isBaseToken` in class `Ptg`
      Returns:
        `false` if this token is classified as 'reference', 'value', or 'array'

    - #### getDefaultOperandClass

          public final byte getDefaultOperandClass()

      Overrides:
        `getDefaultOperandClass` in class `OperationPtg`

    - #### write

          public void write(LittleEndianOutput out)

      Specified by:
        `write` in class `Ptg`

    - #### getSid

          protected abstract byte getSid()

    - #### getSize

          public final int getSize()

      Specified by:
        `getSize` in class `Ptg`
      Returns:
        the encoded length of this Ptg, including the initial Ptg type identifier byte.

    - #### toFormulaString

          public final java.lang.String toFormulaString()

      Description copied from class: `Ptg`
      return a string representation of this token alone
      Specified by:
        `toFormulaString` in class `Ptg`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.